function sendIpc(name, payload) {
  Jockey.send(name, payload);
}

function sendNotification(name, payload) {
  Jockey.send('nf', {
    name: name,
    payload: payload
  });
}

window.addEventListener('load', function() {
  document.addEventListener('click', function (e) {
    var el = e.target;
    var name = el.getAttribute('data-nf');
    if (!name) return;

    var payload = {};

    if (el.hasAttribute('data-payload')) {
      payload = {id: el.getAttribute('data-payload')};
    }

    if (el.hasAttribute('data-payload-function')) {
      payload = window[el.getAttribute('data-payload-function')].call();
    }

    sendNotification(name, payload)
  });
}, false);

function $$(id) {
  return document.getElementById(id);
}

function fillTemplate(template, obj) {
  return template.replace(/{{(.*?)}}/g, function (w, b) {
    if (typeof obj[b] === 'undefined') {
      return '';
    }
    return obj[b];
  });
}

$(document).ready(function(){
  $(".follow-btn").click(function(){
    sendNotification("nf_followAction");
  })
});
